/* STICKY HEADER NAVIGATION BAR */
.sticky{
    position: sticky;
    top: 0;
    bottom: 0;
   z-index: 999;
}
.nav_header{
  background-color: rgba(116, 206, 209, 1);
  filter: drop-shadow(0px 3px 1px #FFF9DC);
  display:flex;
  flex-direction:row;
  align-items: center;
  justify-content:center;
  gap: 7%;
  padding:0.5%;
  text-transform: uppercase;
  font-family: "Londrina Solid", sans-serif;
  font-weight: 270; 
  font-size: 110%;
  height: 80px;
  /* this makes it touch the edge of the screen! */
  top: 0;
  left: 0;
  width: 100%;
visibility: visible;
}
.nav_button{
    background: linear-gradient(#FF5CA2 55%, #BF3E81);
    width: 10%;
    /* height: 20%; */
    text-align: center;
    border:2px solid #FFF9DC;
    border-radius: 10px;
    padding: 0.5%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
    transition:all 0.3s ease;
     z-index: 999;
     position: relative;
}
.nav_header a{
    text-decoration: none;
    color: #FFF9DC;
    font-size: large;
}
.nav_button:hover{
    background: linear-gradient(#FF5CA2, #FFE048);
    transform:scale(1.1);
}
.nav_button_current{
    background: linear-gradient(#FF5CA2 55%, #FFA4BD);
    width: 10%;
    /* height: 20%; */
    text-align: center;
    border:2px solid #FFF9DC;
    border-radius: 10px;
    padding: 0.5%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
  transition:all 0.3s ease;
       z-index: 999;
     position: relative;
}
.nav_button_current:hover{
    background: linear-gradient(#FF5CA2, #FFE048);
    transform:scale(1.1);
}
.nav_logo{
    top: 20%;
    width: 20%;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
  transition:all 0.3s ease;
       z-index: 999;
     position: relative;
}
.nav_logo:hover{
    transform:scale(1.1);
}
 #particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 100%;
    /* opacity: 0.48; */
}
/* body{
    margin: 0;
    padding: 0;
    height: 100vh;
} */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* SECTION 1: INTRO */
.intro{
    display: flex;
    height: 90vh;
}
.left, .right {
  flex: 1;
}
.left{
    background-image: linear-gradient(rgba(255, 92, 162, 0.1), rgba(255, 224, 72, 0.3)), url('../images/Untitled334_20241031111343\ copy.png');
    background-size: cover;
}
.right{
    background-color: #FFF9DC;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.right_content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-family: "Londrina Solid", sans-serif;
    color: #BF3E81;
    text-align: center;
    padding: 15%;
}
.right_content p {
    margin-top: 10%;
  font-family: "Kanit", sans-serif;

}
.banner_text{
    color: #FFF9DC;
    background: linear-gradient(#FF5CA2 55%, #FFE048);
    text-transform: uppercase;
    border:2px solid #BF3E81;
    border-image: url(../images/banner_text_colour.svg) 27 23 / 50px 30px / 1rem round space;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
}
.fade-in{
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.6s ease;
}
.fade-in.show{
    opacity:1;
    transform: translateY(0);
}
.right_content a{
    text-decoration: none;
    color: #FFF9DC;
    text-transform: uppercase;
    font-size: large;
}
.right_content .nav_button{
    width: 45%;
    background: linear-gradient(#FF5CA2 55%, #FFE048);
    margin: 0 auto;
    margin-top: 7%;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
    z-index: 0;
}

/* PROJECTS SECTION */
.projects_section{
    background-color: #FFE048;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;
    padding: 5%;
}
.projects_section .banner_text{
    font-family: "Londrina Solid", sans-serif;
    text-align: center;
    margin: 0 auto;
    width: 40%;
}
.projects_section .fade-in{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.projects_row1{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4%;
    margin-top: 5%;
    width: 100%;
}
.projects_row1 div{
 filter: drop-shadow(0px 5px 1px #FF5CA2);
transition:all 0.3s ease;
}
.projects_row1 div:hover{
    transform:scale(1.1);
}
.projects_row2 div{
 filter: drop-shadow(0px 5px 1px #FF5CA2);
transition:all 0.3s ease;
}
.projects_row2 div:hover{
    transform:scale(1.1);
}
.project_1 img{
    mask-image: url(../images/Asset\ 8shape.svg);
    mask-repeat: no-repeat;
}
.project_2 img{
    mask-image: url(../images/Asset\ 5shape.svg);
    mask-repeat: no-repeat;
}
.project_3 img{
    mask-image: url(../images/Asset\ 7shape.svg);
    mask-repeat: no-repeat;
}
.projects_row2{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4%;
    width: 75%;
}
.project_4 img{
    mask-image: url(../images/Asset\ 9shape.svg);
    mask-repeat: no-repeat;
}
.project_5 img{
    mask-image: url(../images/Asset\ 6shape.svg);
    mask-repeat: no-repeat;
}
.projects_section img{
    width: 80%;
}
/* SERVICE SECTION */
.services_section{
    display: flex;
    height: 100%;
    width: 100%;
}
.service_left, .service_right {
  flex: 1;
}
.service_left{
    background-color: #FF5CA2;
}
.service_right{
    background-image: linear-gradient(rgba(116, 206, 209, 0.5), rgba(255, 92, 162, 0.3)), url(../images/7_30.png);
  background-size:50%;
  background-attachment:fixed;
  background-position: 0% 18%;
}
.service_left_content{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10%;
}
.service_left_content .fade-in{
    text-align: center;
    font-family: "Londrina Solid", sans-serif;
    /* margin-top: 20%; */
    width: 95%;
    /* margin: 0 auto; */
}
.service_left .banner_text{
    border-image: url(../images/banner_text_white.svg) 27 23 / 50px 30px / 1rem round space;
    color: #BF3E81;
}
.service_card{
    filter: drop-shadow(0px 5px 1px #FFE048);
    background-color: #FFF9DC;
    margin-top: 15%;
    border:2px solid #BF3E81;
    border-radius: 15px;
}
.card_image img{
    mask-image: url(../images/Asset\ 9shape.svg);
    width: 50%;
    mask-repeat: no-repeat;
    position: relative;
    bottom: 20px;
}
.service_card .card_image{
    filter: drop-shadow(0px 5px 1px #FFE048);
}
    /* filter: drop-shadow(0px 5px 1px #FFE048); */
.card_text{
    margin: 9.5%;
    margin-top: -1%;
    color: #BF3E81;
}
.card_text h1{
    text-transform: uppercase;
}
.service_left_content .nav_button{
    width: 45%;
    background: linear-gradient(#FF5CA2 55%, #FFE048);
    margin: 0 auto;
    margin-top: 7%;
    filter: drop-shadow(0px 3px 1px #BF3E81);
    z-index: 0;
}
.service_left_content .nav_button a{
    text-decoration: none;
    color: #FFF9DC;
    text-transform: uppercase;
    font-size: large;
}

/* FOOTER */
.footer{
    background-color: #74CED1;
    border:2px solid #FFF9DC;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    flex-direction: column;
    color: #FFF9DC;
    font-family: "Londrina Solid", sans-serif;
    font-size: 150%;
    top: 0;
    left: 0;
    position: relative;
}
.footer_content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 1%;
    width: 25%;
    height: 100%;
    z-index: 999;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
}
#particles-js2{
    position: absolute;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 100%;
}

/* TICKER TAPE */
.scrolling_text {
    width: 100%;
    overflow: hidden;
    display: flex;
    white-space: nowrap;
}
.text span {
    margin: 0 45px;
}
.text {
    font-size: 100%;
    font-weight: 700;
    text-transform: uppercase;
    font-family: "Londrina Solid", sans-serif;
    color: #BF3E81;
    background-color: #FFE048;
    animation: animate_text 100s linear infinite; /* The animation property */
    border:1px solid #FFF9DC;
}
/* MOBILE ELEMENTS */
.mobile_header{
    position: sticky;
    background-color: #74CED1;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1%;
    gap: 30%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.mobile_header img{
    max-width: 50%;
}
.mobile_intro{
    height: 90vh;
    width: 100%;
    background-color: #FFF9DC;
}
.image_text{
    display: flex;
    justify-content: center;
    height: 50%;
    background-image: linear-gradient(rgba(255, 92, 162, 0.1), rgba(255, 224, 72, 0.3)), url(../mobile_cropped/Untitled334_20241031111343\ copy.png);
    background-size: cover;
}
.image_text .banner_text{
  font-family: "Londrina Solid", sans-serif;
  font-size: x-large;
  height: 7%;
  margin-top: 5%;
  width: 90%;
  text-align: center;
}
.text_button_container{
  font-family: "Kanit", sans-serif;
  color: #BF3E81;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 10%;
}
.text_button_container .nav_button{
    margin-top: 15%;
    width: 45%;
background: linear-gradient(#FF5CA2 55%, #FFE048);
filter: drop-shadow(0px 3px 1px #FF5CA2);
z-index: 0;
}
.text_button_container .nav_button a{
  font-family: "Londrina Solid", sans-serif;
  text-decoration: none;
  color: #FFF9DC;
  text-transform: uppercase;
}
.burger_icon{
    color: #FFF9DC;
    background: linear-gradient(#FF5CA2 55%, #FFE048);
    border-radius: 5px;
    width: 10%;
    height: 10%;
    text-align: center;
    border:2px solid #FFF9DC;
    z-index: 999;
}
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  right: 0;
background: linear-gradient(rgba(255, 224, 72, 0.9), rgba(255, 92, 162, 0.7));
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  display: flex;
  flex-direction: column;
  border:2px solid #FFF9DC;
}
.top_navbar{
    display: flex;
    padding: 3%;
    gap: 50%;
}
.top_navbar img{
filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.sidenav a {
  /* padding: 8px 8px 8px 32px; */
  text-decoration: none;
  display: block;
  transition: 0.3s;
background: linear-gradient(#FF5CA2 55%, #BF3E81);
/* width: 100%; */
border:2px solid #FFF9DC;
border-radius: 10px;
padding: 2%;
filter: drop-shadow(0px 3px 1px #FFF9DC);
transition:all 0.3s ease;
z-index: 999;
/* position: relative; */
margin-top: 5%;
/* margin-left: 5%; */
margin: 5%;
gap: 5%;
/* height: 43%; */
top: 50px;
}
.burger_text{
font-size: 25px;
  color: #f1f1f1;
  font-family: "Londrina Solid", sans-serif;
  text-align: center;
  height: 15;
  font-size: x-large;
  text-transform: uppercase;
}
.sidenav a:hover {
  color: #f1f1f1;
}
.closebtn {
  top: 50px;
  font-size: 36px;
  margin-left: 150px;
  text-decoration: none;
  color: #f1f1f1;
  text-align: center;
  width: 20%;
  font-weight: bold;
  background: linear-gradient(#FF5CA2 55%, #FFE048);
}
@keyframes animate_text {
    from {
      transform: translate3d(0, 0, 0);
    }
    to {
      transform: translate3d(-100%, 0, 0);
    }
}
/* HIDE MOBILE ELEMENTS HERE */
@media screen and (min-width: 600px){
.mobile_header{
    visibility: hidden;
    display: none;
}
.mobile_intro{
    display: none;
}
.mobile_slideshow{
    display: none;
}
.mobile_services{
    display: none;
}
}
/* HIDE DESKTOP ELEMENTS HERE, MAKE MOBILE ELEMENTS VISIBLE HERE, EDIT EXISTING DESKTOP ELEMENTS FOR MOBILE HERE */
@media screen and (max-width: 600px){
    .sticky{grid-area: 1 / span 6;}
    .nav_header{
        display: none;
    }
    .mobile_header{
        visibility: visible;
    }
    .intro{
    display: none;
    }
    .mobile_intro{
        display: block;
    }
    .mobile_services{
        display: block;
    }
    .services_section{
        display: none;
    }
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
  .projects_row1, .projects_row2{
    display: none;
  }
  .projects_section{
        height: 75vh;
  }
  .projects_section .fade-in .banner_text{
  font-family: "Londrina Solid", sans-serif;
  height: 60%;
  width: 100%;
  margin-top: 5%;
}
  .projects_section .fade-in .banner_text h1{
  font-size: x-large;
  }
  .mobile_slideshow{
    display: block;
    text-align: center;
    margin-top: 20%;
  }
  .mySlides1{
    display: none;
filter: drop-shadow(0px 3px 1px #FFF9DC);
  }
  .prev, .next {
  cursor: pointer;
  /* position: absolute; */
  /* top: 50%; */  
bottom:40%;
  width: auto;
  padding: 16px;
  /* margin-top: -22px; */
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  border-radius: 10px;
}
.next {
  left: 40%;
  border-radius: 10px;
}
.prev{
    right: 40%;
}
.prev:hover, .next:hover {
  background-color: #f1f1f1;
  color: black;
}
.mobile_slideshow .nav_button{
    color: #FFF9DC;
    margin-top: 1%;
}
.mobile_slideshow img{
    vertical-align: middle;
    border-radius: 10px;
    width: 100%;
}
.mobile_slideshow h1{
    color: #BF3E81;
    text-transform: uppercase;
    font-family: "Londrina Solid", sans serif;
    margin-bottom: 15%;
}
.mobile_services{
    height: 190vh;
    background-color:#FFF9DC;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.mobile_services .fade-in{
        display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.mobile_services .image_text{
    background-image: linear-gradient(rgba(116, 206, 209, 0.8), rgba(255, 92, 162, 0.3)), url(../images/7_30\ 2.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 50vh;
    width: 100%;
}
.mobile_services .banner_text{
    border-image: url(../images/banner_text_white.svg) 27 23 / 50px 30px / 1rem round space;
    color: #BF3E81;
}
.service_card{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-bottom: -13.5%;
}
.mobile_card_container{
    margin-top: -10%;
}
.service_card h1{
    font-family: "Londrina Solid", sans serif;
}
.service_card p{
    font-family: "Kanit", sans serif;
}
.mobile_services .nav_button{
    text-decoration: none;
    font-family: "Londrina Solid", sans serif;
    color: #FFF9DC;
    text-align: center;
    width: 45%;
    margin-top: 25%;
}
.mobile_services .nav_button a{
    text-decoration: none;
    font-family: "Londrina Solid", sans serif;
    color: #FFF9DC;
}
}
